using System;

internal sealed class Delegate239 : MulticastDelegate
{
	public extern void Invoke(Array array_0, RuntimeFieldHandle runtimeFieldHandle_0);

	public static void smethod_0(Array array_0, RuntimeFieldHandle runtimeFieldHandle_0, Delegate239 delegate239_1)
	{
		delegate239_1(array_0, runtimeFieldHandle_0);
	}

	public extern Delegate239(object object_0, IntPtr intptr_0);

	static Delegate239()
	{
		Class10.smethod_13(typeof(Delegate239).TypeHandle);
	}

	internal static Delegate239 delegate239_0;
}
